libstdc++: std::_Base_bitset< 0 > Struct Reference

libstdc++

std::_Base_bitset< 0 > Struct Reference

`#include <bitset>`

## Public Types
typedef unsigned long | _WordT

## Public Member Functions
constexpr | _Base_bitset (unsigned long long) noexcept
template<size_t _Nb>
constexpr bool | _M_are_all () const noexcept
constexpr void | _M_do_and (const _Base_bitset< 0 > &) noexcept
constexpr size_t | _M_do_count () const noexcept
constexpr size_t | _M_do_find_first (size_t) const noexcept
constexpr size_t | _M_do_find_next (size_t, size_t) const noexcept
constexpr void | _M_do_flip () noexcept
constexpr void | _M_do_left_shift (size_t) noexcept
constexpr void | _M_do_or (const _Base_bitset< 0 > &) noexcept
constexpr void | _M_do_reset () noexcept
constexpr void | _M_do_right_shift (size_t) noexcept
constexpr void | _M_do_set () noexcept
constexpr unsigned long long | _M_do_to_ullong () const noexcept
constexpr unsigned long | _M_do_to_ulong () const noexcept
constexpr void | _M_do_xor (const _Base_bitset< 0 > &) noexcept
constexpr const _WordT * | _M_getdata () const noexcept
constexpr _WordT | _M_getword (size_t) const noexcept
_WordT & | _M_getword (size_t) noexcept
constexpr _WordT | _M_hiword () const noexcept
constexpr bool | _M_is_any () const noexcept
constexpr bool | _M_is_equal (const _Base_bitset< 0 > &) const noexcept

## Static Public Member Functions
static constexpr _WordT | _S_maskbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbyte (size_t __pos) noexcept
static constexpr size_t | _S_whichword (size_t __pos) noexcept

## Public Attributes
_WordT | _M_w [_Nw]

## Detailed Description

Base class, specialization for no storage (zero-length bitset).

See documentation for bitset.

Definition at line 561 of file bitset.

## Member Typedef Documentation

## ◆ _WordT

typedef unsigned long std::_Base_bitset< 0 >::_WordT

Definition at line 563 of file bitset.

## Constructor & Destructor Documentation

## ◆ _Base_bitset() [1/2]

std::_Base_bitset< 0 >::_Base_bitset | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 565 of file bitset.

## ◆ _Base_bitset() [2/2]

std::_Base_bitset< 0 >::_Base_bitset | ( | unsigned long long |  | ) |
| inlineconstexprnoexcept

Definition at line 569 of file bitset.

## Member Function Documentation

## ◆ _M_are_all()

template<size_t _Nb>

bool std::_Base_bitset< 0 >::_M_are_all | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 651 of file bitset.

## ◆ _M_do_and()

void std::_Base_bitset< 0 >::_M_do_and | ( | const _Base_bitset< 0 > & |  | ) |
| inlineconstexprnoexcept

Definition at line 611 of file bitset.

## ◆ _M_do_count()

size_t std::_Base_bitset< 0 >::_M_do_count | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 659 of file bitset.

## ◆ _M_do_find_first()

size_t std::_Base_bitset< 0 >::_M_do_find_first | ( | size_t |  | ) | const
| inlineconstexprnoexcept

Definition at line 675 of file bitset.

## ◆ _M_do_find_next()

size_t std::_Base_bitset< 0 >::_M_do_find_next | ( | size_t | ,
|  | size_t | ) const
| inlineconstexprnoexcept

Definition at line 679 of file bitset.

## ◆ _M_do_flip()

void std::_Base_bitset< 0 >::_M_do_flip | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 631 of file bitset.

## ◆ _M_do_left_shift()

void std::_Base_bitset< 0 >::_M_do_left_shift | ( | size_t |  | ) |
| inlineconstexprnoexcept

Definition at line 623 of file bitset.

## ◆ _M_do_or()

void std::_Base_bitset< 0 >::_M_do_or | ( | const _Base_bitset< 0 > & |  | ) |
| inlineconstexprnoexcept

Definition at line 615 of file bitset.

## ◆ _M_do_reset()

void std::_Base_bitset< 0 >::_M_do_reset | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 639 of file bitset.

## ◆ _M_do_right_shift()

void std::_Base_bitset< 0 >::_M_do_right_shift | ( | size_t |  | ) |
| inlineconstexprnoexcept

Definition at line 627 of file bitset.

## ◆ _M_do_set()

void std::_Base_bitset< 0 >::_M_do_set | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 635 of file bitset.

## ◆ _M_do_to_ullong()

unsigned long long std::_Base_bitset< 0 >::_M_do_to_ullong | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 668 of file bitset.

## ◆ _M_do_to_ulong()

unsigned long std::_Base_bitset< 0 >::_M_do_to_ulong | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 663 of file bitset.

## ◆ _M_do_xor()

void std::_Base_bitset< 0 >::_M_do_xor | ( | const _Base_bitset< 0 > & |  | ) |
| inlineconstexprnoexcept

Definition at line 619 of file bitset.

## ◆ _M_getdata()

const _WordT * std::_Base_bitset< _Nw >::_M_getdata | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 138 of file bitset.

## ◆ _M_getword() [1/2]

_WordT std::_Base_bitset< 0 >::_M_getword | ( | size_t |  | ) | const
| inlineconstexprnoexcept

Definition at line 603 of file bitset.

## ◆ _M_getword() [2/2]

_WordT & std::_Base_bitset< 0 >::_M_getword | ( | size_t |  | ) |
| inlinenoexcept

Definition at line 599 of file bitset.

## ◆ _M_hiword()

_WordT std::_Base_bitset< 0 >::_M_hiword | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 607 of file bitset.

## ◆ _M_is_any()

bool std::_Base_bitset< 0 >::_M_is_any | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 655 of file bitset.

## ◆ _M_is_equal()

bool std::_Base_bitset< 0 >::_M_is_equal | ( | const _Base_bitset< 0 > & |  | ) | const
| inlineconstexprnoexcept

Definition at line 646 of file bitset.

## ◆ _S_maskbit()

constexpr _WordT std::_Base_bitset< 0 >::_S_maskbit | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 588 of file bitset.

## ◆ _S_whichbit()

constexpr size_t std::_Base_bitset< 0 >::_S_whichbit | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 584 of file bitset.

## ◆ _S_whichbyte()

constexpr size_t std::_Base_bitset< 0 >::_S_whichbyte | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 580 of file bitset.

## ◆ _S_whichword()

constexpr size_t std::_Base_bitset< 0 >::_S_whichword | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 576 of file bitset.

## Member Data Documentation

## ◆ _M_w

_WordT std::_Base_bitset< _Nw >::_M_w[_Nw]

0 is the least significant word.

Definition at line 94 of file bitset.

The documentation for this struct was generated from the following file:

- bitset